General developer forum

 
 
Picture of Roman Gelembiuk
What is different in Moodle 2.3.1+
 

Hello,

I have the module that worked fine in Moodle 2.0,2.1,2.2 and 2.3

But since Moodle 2.3.1 users started send me emails that it doesn't work.

I installed Moodle 2.3.3 and tried to test my plugin but it doesn't work at all. It can be installed. When i login to the site as admin i am not requested to do update (this was the case in all previous versions).

 

Also i just checked some other plugins (not my, but other very popular plugins ) and i see the same problem. I copy a plugin to /mod/ folder and nothing . I am not requested to install new found plugins.

 

Were there major changes since 2.3.1 version? What are that changes?

Thanks.

 
Average of ratings: -
Picture of Patrick Thibaudeau
Re: What is different in Moodle 2.3.1+
 

Hello Roman,

What are the plugins you tried? I have a Moodle 2.3.2 and a 2.3.3 with no plugin issues? I don't recall any issues in 2.3.1 either. There is now the need to have the mod/plugin name:addinstance capability, however that has not prevented any of my plugins to work.

Also , are you running your Moodle on Linux? Could be permission issue.

 
Average of ratings: -
Picture of Roman Gelembiuk
Re: What is different in Moodle 2.3.1+
 

Thanks Patrick. This was really the problem with permissions on linux.

 But i still see something different with Moddle 2.3.2 and 2.3.3. I get error Fatal error: Class 'XMLDBTable' not found in upgrade.php file when update module to new version.

Seems this class is not used anymore or it requires some additional including . 

I will try to resolve this myself. If no then back to the forum.

 
Average of ratings: -